EmailTemplateService (email-templates-library 1.1.0-4.9.0-160148 API)
Date: 2017-12-20

org.gcube.portal.mailing.service

## Class EmailTemplateService

- java.lang.Object
- - org.gcube.portal.mailing.service.EmailTemplateService

-     public class EmailTemplateService
      extends Object

  Author:
    Massimiliano Assante, CNR-ISTI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmailTemplateService()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `send(String subject, org.gcube.common.portal.mailing.templates.Template selectedTemplate, javax.servlet.http.HttpServletRequest httpServletRequest, Recipient... emailrecipients)` Initialize the email with the following information: The subject of the email The template instance for this email The httpServletRequest object One or several "to" recipient addresses

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmailTemplateService

          public EmailTemplateService()

  - ### Method Detail

    - #### send

          public static void send(String subject,
                                  org.gcube.common.portal.mailing.templates.Template selectedTemplate,
                                  javax.servlet.http.HttpServletRequest httpServletRequest,
                                  Recipient... emailrecipients)

      Initialize the email with the following information:
      - The subject of the email
      - The template instance for this email
      - The httpServletRequest object
      - One or several "to" recipient addresses
      Parameters:
        `emailrecipients` - an list of email addresses to be added in the TO
        `subject` - the subject of your email
        `bodyTextHTML` - the body of your email in HTML
        `httpServletRequest` - the httpServletRequest object if you have it, null otherwise (but the default sender will be applied in this case)

Copyright © 2017. All Rights Reserved.